Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nativelibs4java.mono
Class MonoSymbolTable

    java.lang.Object
      com.sun.jna.Structure
          com.ochafik.lang.jnaerator.runtime.Structure<MonoSymbolTable,MonoSymbolTable.ByValue,MonoSymbolTable.ByReference>
              com.nativelibs4java.mono.MonoSymbolTable

All Implemented Interfaces:
  StructureType, StructureTypeDependent, java.lang.Comparable<Structure<MonoSymbolTable,MonoSymbolTable.ByValue,MonoSymbolTable.ByReference>>

Direct Known Subclasses:
  MonoSymbolTable.ByReference, MonoSymbolTable.ByValue

    public class MonoSymbolTable

extends Structure<MonoSymbolTable,MonoSymbolTable.ByValue,MonoSymbolTable.ByReference>

native declaration : mono\metadata\mono-debug.h:48
This file was autogenerated by JNAerator,
a tool written by Olivier Chafik that uses a few opensource projects..
For help, please visit NativeLibs4Java, Rococoa, or JNA.

Nested Class Summary
`static class` | `MonoSymbolTable.ByReference`
`static class` | `MonoSymbolTable.ByValue`

Field Summary
`MonoDebugHandle.ByReference` | `corlib`
`MonoDebugList.ByReference` | `data_tables`
`MonoLibrary.MonoDebugDataTable` | `global_data_table`
`long` | `magic`
`MonoDebugList.ByReference` | `symbol_files`
`int` | `total_size`
`int` | `version`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`MonoSymbolTable()`
`MonoSymbolTable(long magic, int version, int total_size, MonoDebugHandle.ByReference corlib, MonoLibrary.MonoDebugDataTable global_data_table, MonoDebugList.ByReference data_tables, MonoDebugList.ByReference symbol_files)`

Method Summary
`protected MonoSymbolTable.ByReference` | `newByReference()`
`protected MonoSymbolTable.ByValue` | `newByValue()`
`protected MonoSymbolTable` | `newInstance()`

Methods inherited from class com.ochafik.lang.jnaerator.runtime.Structure
`byReference, byValue, clone, compareTo, getBitsAnnotation, read, readDependency, setDependency, setupClone, toArray, toArray, toArray, toReferenceArray, toReferenceArray, toValueArray, toValueArray, useMemory, write`

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoRead, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toString, useMemory, writeField, writeField`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.ochafik.lang.jnaerator.runtime.StructureType
`getPointer, size`

Field Detail

### magic

    public long magic

### version

    public int version

### total_size

    public int total_size

### corlib

    public MonoDebugHandle.ByReference corlib

### global_data_table

    public MonoLibrary.MonoDebugDataTable global_data_table

### data_tables

    public MonoDebugList.ByReference data_tables

### symbol_files

    public MonoDebugList.ByReference symbol_files

Constructor Detail

### MonoSymbolTable

    public MonoSymbolTable()

### MonoSymbolTable

    public MonoSymbolTable(long magic,
                           int version,
                           int total_size,
                           MonoDebugHandle.ByReference corlib,
                           MonoLibrary.MonoDebugDataTable global_data_table,
                           MonoDebugList.ByReference data_tables,
                           MonoDebugList.ByReference symbol_files)

Parameters:
  `corlib` - Corlib and metadata info.
  `symbol_files` - The symbol files.

Method Detail

### newByReference

    protected MonoSymbolTable.ByReference newByReference()

  Specified by:
    `newByReference` in class `Structure<MonoSymbolTable,MonoSymbolTable.ByValue,MonoSymbolTable.ByReference>`

### newByValue

    protected MonoSymbolTable.ByValue newByValue()

  Specified by:
    `newByValue` in class `Structure<MonoSymbolTable,MonoSymbolTable.ByValue,MonoSymbolTable.ByReference>`

### newInstance

    protected MonoSymbolTable newInstance()

  Specified by:
    `newInstance` in class `Structure<MonoSymbolTable,MonoSymbolTable.ByValue,MonoSymbolTable.ByReference>`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD